/************************************************************************/
/*                                                                      */
/*                      1-Wire Example					*/
/*                                                                      */
/*              Author: Wjatscheslaw Stoljarski                         */
/*                      swpost@web.de                                   */
/*                                                                      */
/************************************************************************/
#ifndef _main_h_
#define _main_h_
#include <avr/io.h>
#include <avr/interrupt.h>
//#include <avr/signal.h>
#include <stdlib.h>
#include <stdio.h>

#define	XTAL		12000000L

/************************************************/
#define W1_OUT		PORTC
//#define W1_TS_PIN	3
/************************************************/

#define uchar		unsigned char
#define uint		unsigned int
#define bit		uchar
#define idata
#define code


#ifdef __ASSEMBLER__
W1_DDR = (W1_OUT - 1)
W1_IN  = (W1_OUT - 2)
#else
#define W1_DDR		(*(&W1_OUT - 1))		/* DDRx */
#define W1_IN		(*(&W1_OUT - 2))		/* PINx */
//#define W1_PIN		W1_TS_PIN
#endif

#include "1wire.h"
#include "delay.h"
// #include "tempmeas.h" 
#include "timebase.h"

#endif
